# empty-debuginfo-package
%define debug_package %{nil}

%define ver_fpgui 1.2
%define ver_fpc 2.6.4

Summary: Widget set to develop cross-platform GUI software using fpc
Name: fpgui
Version: %{ver_fpgui}
Release: %mkrel 1
License: LGPLv2 with static linking exception
Group: Development/Tools
Url: http://fpgui.sourceforge.net
Source0: http://downloads.sourceforge.net/%{name}/%{name}_source-%{ver_fpgui}.tar.gz
Patch0: %{name}-%{ver_fpgui}-mga-build-html.patch
Requires: fpc = %{ver_fpc}
Requires: pkgconfig(x11)
Requires: pkgconfig(fontconfig)
Requires: pkgconfig(xft)
BuildRequires: fpc = %{ver_fpc}

%description
This is a widget set to quickly develop cross-platform GUI software using
the Free Pascal Compiler. It doesn't rely on large third party libraries -
which makes fpGUI applications easy to deploy.

%prep
%setup -q -n %{name}-%{ver_fpgui}
%patch0 -p1
cp -rf ./prototypes/mdi/*.pas ./src/corelib/
sed -i -e "s|Agg2D;|fpg_mdi,Agg2D;|g" ./src/corelib/x11/fpgui_toolkit.pas

%build
pushd src
./build.sh
popd
pushd docs
fpdoc --project=%{name}-docs-project.xml
popd

%install
_unittgt=`fpc -iSP`-`fpc -iSO`
cd ./lib/$_unittgt
mkdir -p %{buildroot}%{_prefix}/lib/fpc/%{ver_fpc}/units/$_unittgt/fpgui
cp -f ./* %{buildroot}%{_prefix}/lib/fpc/%{ver_fpc}/units/$_unittgt/fpgui/

%files
%doc docs/html
%doc COPYING.modifiedLGPL COPYING.txt
%{_prefix}/lib/fpc/*/units/*/%{name}


%changelog
* Sun Oct 19 2014 alexl <alexl> 1.2-1.mga5
+ Revision: 791864
- used fpdoc instead of build_html.sh
- fixed building html (build-html.patch and using VERSION_FILE.inc)
- version 1.2

* Wed Oct 15 2014 umeabot <umeabot> 1.0-4.mga5
+ Revision: 746850
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0-3.mga5
+ Revision: 679317
- Mageia 5 Mass Rebuild

* Sun May 25 2014 alexl <alexl> 1.0-2.mga5
+ Revision: 626533
- rebuild with fpc-2.6.4

* Sun Apr 13 2014 alexl <alexl> 1.0-1.mga5
+ Revision: 613791
- imported package fpgui

